import { ComponentFixture, TestBed } from '@angular/core/testing';

import { PoolCreateFormComponent } from './pool-create-form.component';
import { HttpClientTestingModule } from '@angular/common/http/testing';
import { RouterTestingModule } from '@angular/router/testing';
import { MatDialogModule } from '@angular/material/dialog';
import { ReactiveFormsModule } from '@angular/forms';
import { MatSelectModule } from '@angular/material/select';

describe('PoolCreateFormComponent', () => {
  let component: PoolCreateFormComponent;
  let fixture: ComponentFixture<PoolCreateFormComponent>;

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      declarations: [ PoolCreateFormComponent ],
      imports: [
        HttpClientTestingModule, RouterTestingModule, MatDialogModule, ReactiveFormsModule, MatSelectModule,
      ],
    })
    .compileComponents();
  });

  beforeEach(() => {
    fixture = TestBed.createComponent(PoolCreateFormComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
